'----------------------------------------------------------------------
'
' Copyright 2015 Elba Corp.
' All rights reserved.
'
' Non-exclusive permission to use, copy, modify, and distribute this
' software for any purpose and without fee is hereby granted, provided:
'   1) that the above copyright notice is retained in the source code and,
'   2) that it is understood and agreed that no warranty of any kind,
'      express or implied is provided.
' Use of this code in any manner shall be prima facie evidence of
' acceptance of these terms.
'
' You may contact the author by email at dkinzer@zbasic.net.
'
'----------------------------------------------------------------------

' This example demonstrates a simple "Hello, world" application.

Option ConsoleSpeed 230400
Option UserPostInit myPostInit

Const pin as Byte = A.2

Private state as Integer
Private pinState as Byte

Sub Main()
	If (state = 0) Then
       pinState = pinState Xor 1
       Call PutPin(pin, pinState)
		Debug.Print "Hello, world!"
	End If
	state = state + 1
	If (state > 1000) Then
		state = 0
	End If
	Call Sleep(1)
End Sub

Sub myPostInit()
   Call PutPin(pin, pinState)
   Debug.Print
End Sub

